> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenarch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Domain Gate

> Get active x402 gate configuration for a domain — returns pay-per-crawl pricing rules, payment gate settings, and publisher access controls.

<RequestExample>
  ```bash theme={null}
  curl https://xenarch.dev/v1/gates/domain/example.com
  ```
</RequestExample>

## Notes

* Public endpoint for agent discovery
* Returns the gate configuration if the domain has active gating
* Alternative to checking via HTTP 402 — useful when agents want to discover pricing without making a request to the publisher's server


## OpenAPI

````yaml GET /v1/gates/domain/{domain}
openapi: 3.1.0
info:
  title: Xenarch Platform
  version: 0.1.0
servers: []
security: []
paths:
  /v1/gates/domain/{domain}:
    get:
      tags:
        - gates
      summary: Get Gate By Domain
      description: >-
        Look up the most recent active gate config for a domain. Public endpoint
        for agent discovery.
      operationId: get_gate_by_domain_v1_gates_domain__domain__get
      parameters:
        - name: domain
          in: path
          required: true
          schema:
            type: string
            title: Domain
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GateCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GateCreateResponse:
      properties:
        xenarch:
          type: boolean
          title: Xenarch
          default: true
        gate_id:
          type: string
          format: uuid
          title: Gate Id
        price_usd:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Price Usd
        splitter:
          type: string
          title: Splitter
        collector:
          type: string
          title: Collector
        network:
          type: string
          title: Network
        asset:
          type: string
          title: Asset
          default: USDC
        protocol:
          type: string
          title: Protocol
          default: x402
        verify_url:
          type: string
          title: Verify Url
        expires:
          type: string
          format: date-time
          title: Expires
      type: object
      required:
        - gate_id
        - price_usd
        - splitter
        - collector
        - network
        - verify_url
        - expires
      title: GateCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````